using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;

namespace Fonts
{
	/// <summary>
	/// Summary description for MainForm.
	/// </summary>
	public class MainForm : System.Windows.Forms.Form
    {
        private ToolTip toolTipHelp;
        private HelpLibrary.TextHelpBox textHelpBox;
        private HelpLibrary.HelpButtonDB helpButtonFamily;
        private HelpLibrary.HelpButtonDB helpButtonFontSize;
        private HelpLibrary.HelpButtonDB helpButtonSizeDrawn;
        private HelpLibrary.HelpButtonDB helpButtonMultiLine;
        private HelpLibrary.HelpButtonDB helpButtonLineLimit;
        private HelpLibrary.HelpButtonDB helpButtonTrimming;
        private HelpLibrary.HelpButtonDB helpButtonDigit;
        private HelpLibrary.HelpButtonDB helpButtonText;
        private HelpLibrary.HelpButtonDB helpButtonContrast;
        private HelpLibrary.HelpButtonDB helpButtonOutline;
        private HelpLibrary.HelpButtonDB helpButtonShadow;
        private IContainer components;

		public MainForm()
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();

			//
			// TODO: Add any constructor code after InitializeComponent call
			//

            m_ImgLoc = new Point(-40, 50);
            Console.Out.WriteLine("Image Location is {0}", m_ImgLoc);

            foo(m_ImgLoc = new Point(-32, 34));
            Console.Out.WriteLine("Image Location is {0}", m_ImgLoc);
		}

        private void foo(Point point)
        {
            Console.Out.WriteLine("Image Location is {0}", m_ImgLoc);
            Console.Out.WriteLine("Paramter is {0}", point);
        }

        private Point m_Point;
        public Point m_ImgLoc
    {
        get { return m_Point; }
        set
        {
            int x = 0;
            int y = 0;

            x = (value.X > x) ? x : value.X;
            y = (value.Y > y) ? y : value.Y;

            m_Point = new Point(x, y);
        }
    }





		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
            this.components = new System.ComponentModel.Container();
            this.toolTipHelp = new System.Windows.Forms.ToolTip(this.components);
            this.helpButtonFontSize = new HelpLibrary.HelpButtonDB();
            this.textHelpBox = new HelpLibrary.TextHelpBox();
            this.helpButtonFamily = new HelpLibrary.HelpButtonDB();
            this.helpButtonSizeDrawn = new HelpLibrary.HelpButtonDB();
            this.helpButtonMultiLine = new HelpLibrary.HelpButtonDB();
            this.helpButtonLineLimit = new HelpLibrary.HelpButtonDB();
            this.helpButtonTrimming = new HelpLibrary.HelpButtonDB();
            this.helpButtonDigit = new HelpLibrary.HelpButtonDB();
            this.helpButtonText = new HelpLibrary.HelpButtonDB();
            this.helpButtonContrast = new HelpLibrary.HelpButtonDB();
            this.helpButtonOutline = new HelpLibrary.HelpButtonDB();
            this.helpButtonShadow = new HelpLibrary.HelpButtonDB();
            this.SuspendLayout();
            // 
            // helpButtonFontSize
            // 
            this.helpButtonFontSize.AutoSize = true;
            this.helpButtonFontSize.DisplayBox = this.textHelpBox;
            this.helpButtonFontSize.HelpString = "Font Size";
            this.helpButtonFontSize.Label = "Font Size";
            this.helpButtonFontSize.Location = new System.Drawing.Point(8, 37);
            this.helpButtonFontSize.Name = "helpButtonFontSize";
            this.helpButtonFontSize.Size = new System.Drawing.Size(130, 23);
            this.helpButtonFontSize.TabIndex = 13;
            this.helpButtonFontSize.Click += new System.EventHandler(this.Size_Click);
            // 
            // textHelpBox
            // 
            this.textHelpBox.HelpString = "";
            this.textHelpBox.Location = new System.Drawing.Point(145, 8);
            this.textHelpBox.Name = "textHelpBox";
            this.textHelpBox.Size = new System.Drawing.Size(482, 313);
            this.textHelpBox.TabIndex = 11;
            // 
            // helpButtonFamily
            // 
            this.helpButtonFamily.AutoSize = true;
            this.helpButtonFamily.DisplayBox = this.textHelpBox;
            this.helpButtonFamily.HelpString = "Font Families";
            this.helpButtonFamily.Label = "Font Families";
            this.helpButtonFamily.Location = new System.Drawing.Point(8, 8);
            this.helpButtonFamily.Name = "helpButtonFamily";
            this.helpButtonFamily.Size = new System.Drawing.Size(130, 23);
            this.helpButtonFamily.TabIndex = 12;
            this.helpButtonFamily.Click += new System.EventHandler(this.Family_Click);
            // 
            // helpButtonSizeDrawn
            // 
            this.helpButtonSizeDrawn.AutoSize = true;
            this.helpButtonSizeDrawn.DisplayBox = this.textHelpBox;
            this.helpButtonSizeDrawn.HelpString = "Font Size Drawn";
            this.helpButtonSizeDrawn.Label = "Font Size Drawn";
            this.helpButtonSizeDrawn.Location = new System.Drawing.Point(8, 66);
            this.helpButtonSizeDrawn.Name = "helpButtonSizeDrawn";
            this.helpButtonSizeDrawn.Size = new System.Drawing.Size(130, 23);
            this.helpButtonSizeDrawn.TabIndex = 14;
            this.helpButtonSizeDrawn.Click += new System.EventHandler(this.SizeDraw_Click);
            // 
            // helpButtonMultiLine
            // 
            this.helpButtonMultiLine.AutoSize = true;
            this.helpButtonMultiLine.DisplayBox = this.textHelpBox;
            this.helpButtonMultiLine.HelpString = "MultiLine";
            this.helpButtonMultiLine.Label = "MultiLine";
            this.helpButtonMultiLine.Location = new System.Drawing.Point(8, 95);
            this.helpButtonMultiLine.Name = "helpButtonMultiLine";
            this.helpButtonMultiLine.Size = new System.Drawing.Size(130, 23);
            this.helpButtonMultiLine.TabIndex = 15;
            this.helpButtonMultiLine.Click += new System.EventHandler(this.MultiLine_Click);
            // 
            // helpButtonLineLimit
            // 
            this.helpButtonLineLimit.AutoSize = true;
            this.helpButtonLineLimit.DisplayBox = this.textHelpBox;
            this.helpButtonLineLimit.HelpString = "Line Limit";
            this.helpButtonLineLimit.Label = "Line Limt";
            this.helpButtonLineLimit.Location = new System.Drawing.Point(8, 124);
            this.helpButtonLineLimit.Name = "helpButtonLineLimit";
            this.helpButtonLineLimit.Size = new System.Drawing.Size(130, 23);
            this.helpButtonLineLimit.TabIndex = 16;
            this.helpButtonLineLimit.Click += new System.EventHandler(this.LineLimit_Click);
            // 
            // helpButtonTrimming
            // 
            this.helpButtonTrimming.AutoSize = true;
            this.helpButtonTrimming.DisplayBox = this.textHelpBox;
            this.helpButtonTrimming.HelpString = "Trimming";
            this.helpButtonTrimming.Label = "Trimming";
            this.helpButtonTrimming.Location = new System.Drawing.Point(8, 153);
            this.helpButtonTrimming.Name = "helpButtonTrimming";
            this.helpButtonTrimming.Size = new System.Drawing.Size(130, 23);
            this.helpButtonTrimming.TabIndex = 17;
            this.helpButtonTrimming.Click += new System.EventHandler(this.Trimmimg_Click);
            // 
            // helpButtonDigit
            // 
            this.helpButtonDigit.AutoSize = true;
            this.helpButtonDigit.DisplayBox = this.textHelpBox;
            this.helpButtonDigit.HelpString = "Digit Substitution";
            this.helpButtonDigit.Label = "Digit Substitution";
            this.helpButtonDigit.Location = new System.Drawing.Point(8, 182);
            this.helpButtonDigit.Name = "helpButtonDigit";
            this.helpButtonDigit.Size = new System.Drawing.Size(130, 23);
            this.helpButtonDigit.TabIndex = 18;
            this.helpButtonDigit.Click += new System.EventHandler(this.Digit_Click);
            // 
            // helpButtonText
            // 
            this.helpButtonText.AutoSize = true;
            this.helpButtonText.DisplayBox = this.textHelpBox;
            this.helpButtonText.HelpString = "Text Renderer";
            this.helpButtonText.Label = "Text Renderer";
            this.helpButtonText.Location = new System.Drawing.Point(8, 211);
            this.helpButtonText.Name = "helpButtonText";
            this.helpButtonText.Size = new System.Drawing.Size(130, 23);
            this.helpButtonText.TabIndex = 19;
            this.helpButtonText.Click += new System.EventHandler(this.TextRenderer_Click);
            // 
            // helpButtonContrast
            // 
            this.helpButtonContrast.AutoSize = true;
            this.helpButtonContrast.DisplayBox = this.textHelpBox;
            this.helpButtonContrast.HelpString = "Text Contrast";
            this.helpButtonContrast.Label = "Text Contrast";
            this.helpButtonContrast.Location = new System.Drawing.Point(8, 240);
            this.helpButtonContrast.Name = "helpButtonContrast";
            this.helpButtonContrast.Size = new System.Drawing.Size(130, 23);
            this.helpButtonContrast.TabIndex = 20;
            this.helpButtonContrast.Click += new System.EventHandler(this.Contrast_Click);
            // 
            // helpButtonOutline
            // 
            this.helpButtonOutline.AutoSize = true;
            this.helpButtonOutline.DisplayBox = this.textHelpBox;
            this.helpButtonOutline.HelpString = "Outline Font";
            this.helpButtonOutline.Label = "Outline Font";
            this.helpButtonOutline.Location = new System.Drawing.Point(8, 269);
            this.helpButtonOutline.Name = "helpButtonOutline";
            this.helpButtonOutline.Size = new System.Drawing.Size(130, 23);
            this.helpButtonOutline.TabIndex = 21;
            this.helpButtonOutline.Click += new System.EventHandler(this.Outline_Click);
            // 
            // helpButtonShadow
            // 
            this.helpButtonShadow.AutoSize = true;
            this.helpButtonShadow.DisplayBox = this.textHelpBox;
            this.helpButtonShadow.HelpString = "Shadow Font";
            this.helpButtonShadow.Label = "Shadow Font";
            this.helpButtonShadow.Location = new System.Drawing.Point(8, 298);
            this.helpButtonShadow.Name = "helpButtonShadow";
            this.helpButtonShadow.Size = new System.Drawing.Size(130, 23);
            this.helpButtonShadow.TabIndex = 22;
            this.helpButtonShadow.Click += new System.EventHandler(this.Shadow_Click);
            // 
            // MainForm
            // 
            this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
            this.ClientSize = new System.Drawing.Size(639, 333);
            this.Controls.Add(this.helpButtonShadow);
            this.Controls.Add(this.helpButtonOutline);
            this.Controls.Add(this.helpButtonContrast);
            this.Controls.Add(this.helpButtonText);
            this.Controls.Add(this.helpButtonDigit);
            this.Controls.Add(this.helpButtonTrimming);
            this.Controls.Add(this.helpButtonLineLimit);
            this.Controls.Add(this.helpButtonMultiLine);
            this.Controls.Add(this.helpButtonSizeDrawn);
            this.Controls.Add(this.helpButtonFontSize);
            this.Controls.Add(this.helpButtonFamily);
            this.Controls.Add(this.textHelpBox);
            this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedDialog;
            this.Name = "MainForm";
            this.Text = "Fonts";
            this.toolTipHelp.SetToolTip(this, "Translate points to pixels");
            this.ResumeLayout(false);
            this.PerformLayout();

    }
		#endregion

    /// <summary>
    /// The main entry point for the application.
    /// </summary>
    [STAThread]
    static void Main() {
      Application.Run(new MainForm());
    }

    private void Family_Click(object sender, System.EventArgs e) {
      (new FontFamiliesForm()).ShowDialog();
    }

    private void Size_Click(object sender, System.EventArgs e) {
      (new FontSizesForm()).ShowDialog();
    }

    private void MultiLine_Click(object sender, System.EventArgs e) {
      (new MultiLineTextForm()).ShowDialog();
    }

    private void LineLimit_Click(object sender, System.EventArgs e) {
      (new LineLimitForm()).ShowDialog();
    }

    private void Trimmimg_Click(object sender, System.EventArgs e) {
      (new TrimmingForm()).ShowDialog();
    }

    private void Digit_Click(object sender, System.EventArgs e) {
      (new DigitSubstitutionForm()).ShowDialog();
    }

    private void TextRenderer_Click(object sender, System.EventArgs e) {
      (new TextRenderingHintsForm()).ShowDialog();
    }

    private void Contrast_Click(object sender, System.EventArgs e) {
      (new TextContrastForm()).ShowDialog();
    }

    private void Outline_Click(object sender, System.EventArgs e) {
      (new OutlineFontsForm()).ShowDialog();
    }

    private void Shadow_Click(object sender, System.EventArgs e) {
      (new ShadowFontsForm()).ShowDialog();
    }

    private void SizeDraw_Click(object sender, System.EventArgs e) {
      (new FontSizesForm2()).ShowDialog();
    }

        private void generic_MouseEnter(object sender, EventArgs e)
        {
            //labelHelp.Text = toolTipHelp.GetToolTip((Control)sender);
            //toolTipHelp.SetToolTip((Control)sender, "");
        }

        private void generic_MouseLeave(object sender, EventArgs e)
        {
            //toolTipHelp.SetToolTip((Control)sender, labelHelp.Text);
            //labelHelp.Text = "";
        }
	}
}
