using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using PageUnitsSample;
using TransformsSample;

namespace AdvancedDrawing
{
    public partial class MainForm : Form
    {
        public MainForm()
        {
            InitializeComponent();
        }

        private void helpButtonPageUnits_Click(object sender, EventArgs e)
        {
            using (PageUnitsSample.MainForm pageUnits = new PageUnitsSample.MainForm())
            {
                pageUnits.ShowDialog();
            }
        }

        private void MainForm_FormClosing(object sender, FormClosingEventArgs e)
        {
            if (textHelpBox != null)
            {
                textHelpBox.Dispose();
            }
        }

        private void helpButtonTransforms_Click(object sender, EventArgs e)
        {
            using (TransformsSample.MainForm pageUnits = new TransformsSample.MainForm())
            {
                pageUnits.ShowDialog();
            }
        }

        private void helpButtonRegions_Click(object sender, EventArgs e)
        {
            using (RegionsSample.MainForm pageUnits = new RegionsSample.MainForm())
            {
                pageUnits.ShowDialog();
            }
        }
    }
}